.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the CenterContainer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_CenterContainer:

CenterContainer
===============

**Inherits:** :ref:`Container<class_container>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Keeps children controls centered.

Member Variables
----------------

  .. _class_CenterContainer_use_top_left:

- :ref:`bool<class_bool>` **use_top_left** - If ``true`` centers children relative to the ``CenterContainer``'s top left corner. Default value: ``false``.


Description
-----------

CenterContainer Keeps children controls centered. This container keeps all children to their minimum size, in the center.

